package org.owasp.webgoat.lessons;

/*******************************************************************************
 * 
 * 
 * This file is part of WebGoat, an Open Web Application Security Project
 * utility. For details, please see http://www.owasp.org/
 * 
 * Copyright (c) 2002 - 2007 Bruce Mayhew
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * Getting Source ==============
 * 
 * Source for this application is maintained at code.google.com, a repository
 * for free software projects.
 * 
 * For details, please see http://code.google.com/p/webgoat/
 *
 * @author     Bruce Mayhew <a href="http://code.google.com/p/webgoat">WebGoat</a>
 * @created    October 28, 2003
 */
public class Category implements Comparable
{

    private String category;

    private Integer ranking;


    public Category(String category, Integer ranking)
    {
	this.category = category;
	this.ranking = ranking;
    }


    public int compareTo(Object obj)
    {
	int value = 1;

	if (obj instanceof Category)
	{
	    value = this.getRanking().compareTo(((Category) obj).getRanking());
	}

	return value;
    }


    public Integer getRanking()
    {
	return ranking;
    }


    public Integer setRanking(Integer ranking)
    {
	return this.ranking = ranking;
    }


    public String getName()
    {
	return category;
    }


    public boolean equals(Object obj)
    {
	return getName().equals(((Category) obj).getName());
    }


    public String toString()
    {
	return getName();
    }
}